"""create table for Fruit
Revision ID: a2b3c4d5e6f7
Revises: 0001
Create Date: 2023-07-20 12:00:00.000000
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = 'a2b3c4d5e6f7'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'fruits',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.Column('color', sa.String(), nullable=True),
        sa.Column('is_seasonal', sa.Boolean(), default=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now()),
    )
    op.create_index(op.f('ix_fruits_name'), 'fruits', ['name'], unique=False)


def downgrade():
    op.drop_index(op.f('ix_fruits_name'), table_name='fruits')
    op.drop_table('fruits')